unit TwitchAPI.Commands.GetUsers;

interface

uses
  TwitchAPI.Entities;

type

{ ITwitchGetUsersResult }

  ITwitchGetUsersResult = interface
    function GetUsers: TArray<TTwitchUser>;
    property Users: TArray<TTwitchUser> read GetUsers;
  end;

{ ITwitchGetUsersCommand }

  ITwitchGetUsersCommand = interface
    function Execute: ITwitchGetUsersResult;
    function SetLogin(const AValue: string): ITwitchGetUsersCommand;
  end;

implementation

end.
